API reference › Consumers › Consumer portal
Retrieve specific tab details of a consumer portal
GET /v1/settings/portal/consumer/{tab}
- Scope
consumers:read- Roles
- consumer
Fetches the details for a specific tab within a consumer portal based on the authenticated user. Supports optional filtering by client name or relationship name.
Parameters
Path parameters
| Name | Type | Description |
|---|---|---|
tab required | string | Identifier for the specific tab to fetch (e.g., 'details', 'localizations', 'associated_service_organizations','notifications_access','requirements_preferences') One of: |
Query parameters
| Name | Type | Description |
|---|---|---|
client | string | Filter associated clients by client ID Example |
relationship | integer | Filter associated clients by relationship ID Example |
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Example request
curl "https://api.fetchfido.ai/v1/settings/portal/consumer/{tab}" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID"Try it
Responses
200 Consumer portal details retrieved successfully
Consumer portal details retrieved successfully
{
"success": true,
"message": "Consumer details retrieved!",
"data": {
"id": "CSM-PDZTZ9",
"name": "test",
"description": "I am doing testing",
"email": "user@example.com",
"logo": "https://d3t50b2fzyr6w1.cloudfront.net/service_providers/SPR-MD5MK3/logo/689492853dac8_Test.jpg",
"countryCode": "+1",
"phone": "9786159228",
"phoneExtension": "null",
"phoneType": "sms_and_voice",
"videoPhoneCountryCode": "+1",
"videoPhone": "9786159226",
"addressLine1": "123 Bark Street",
"addressLine2": "3434 Street",
"city": "Austin1",
"state": null,
"postalCode": "33629"
}
}Response fields (19)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
data | object | |
data.id | string | Example |
data.name | string | Example |
data.description | string | Example |
data.email | string | Example |
data.logo | string | Example |
data.countryCode | string | Example |
data.phone | string | Example |
data.phoneExtension | string | Example |
data.phoneType | string | Example |
data.videoPhoneCountryCode | string | Example |
data.videoPhone | string | Example |
data.addressLine1 | string | Example |
data.addressLine2 | string | Example |
data.city | string | Example |
data.state | string or null | |
data.postalCode | string | Example |
401 Not signed in
Unauthorized - authentication required
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'consumers:read' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
422 Validation failed
Validation error - Missing or invalid parameters
{
"success": false,
"message": "Validation Failed",
"errors": {
"id": [
"The specified consumer portal does not exist."
]
}
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | object | |
errors.id | array of string |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Internal server error
{
"success": false,
"message": "An unexpected error occurred. Please try again later."
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |